Package org.eclipse.rdf4j.query.parser

## Class ParsedQuery

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.ParsedOperation
  - - org.eclipse.rdf4j.query.parser.ParsedQuery

- Direct Known Subclasses:
    `ParsedBooleanQuery`, `ParsedGraphQuery`, `ParsedTupleQuery`

      public abstract class ParsedQuery
      extends ParsedOperation

  Abstract super class of all query types that a query parser can generate.
  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ParsedQuery()` | Creates a new query object.
    `protected` | `ParsedQuery​(String sourceString)` | Creates a new query object.
    `protected` | `ParsedQuery​(String sourceString, TupleExpr tupleExpr)` | Creates a new query object.
    `protected` | `ParsedQuery​(String sourceString, TupleExpr tupleExpr, Dataset dataset)` | Creates a new query object.
    `protected` | `ParsedQuery​(TupleExpr tupleExpr)` | Creates a new query object.
    `protected` | `ParsedQuery​(TupleExpr tupleExpr, Dataset dataset)` | Creates a new query object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Dataset` | `getDataset()` |
    `TupleExpr` | `getTupleExpr()` | Gets the tuple expression underlying this operation.
    `void` | `setDataset​(Dataset dataset)` |
    `void` | `setTupleExpr​(TupleExpr tupleExpr)` | Gets the tuple expression underlying this operation.
    `String` | `toString()` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.ParsedOperation

      `getSourceString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsedQuery

          protected ParsedQuery()

      Creates a new query object. To complete this query, a tuple expression needs to be supplied to it using `setTupleExpr(TupleExpr)`.

    - #### ParsedQuery

          protected ParsedQuery​(String sourceString)

      Creates a new query object. To complete this query, a tuple expression needs to be supplied to it using `setTupleExpr(TupleExpr)`.

    - #### ParsedQuery

          protected ParsedQuery​(String sourceString,
                                TupleExpr tupleExpr)

      Creates a new query object.
      Parameters:
        `tupleExpr` - The tuple expression underlying this query.

    - #### ParsedQuery

          protected ParsedQuery​(TupleExpr tupleExpr)

      Creates a new query object.
      Parameters:
        `tupleExpr` - The tuple expression underlying this query.

    - #### ParsedQuery

          protected ParsedQuery​(TupleExpr tupleExpr,
                                Dataset dataset)

      Creates a new query object.
      Parameters:
        `tupleExpr` - The tuple expression underlying this query.

    - #### ParsedQuery

          protected ParsedQuery​(String sourceString,
                                TupleExpr tupleExpr,
                                Dataset dataset)

      Creates a new query object.
      Parameters:
        `tupleExpr` - The tuple expression underlying this query.

  - ### Method Detail

    - #### getDataset

          public Dataset getDataset()

    - #### setDataset

          public void setDataset​(Dataset dataset)

    - #### setTupleExpr

          public void setTupleExpr​(TupleExpr tupleExpr)

      Gets the tuple expression underlying this operation.

    - #### getTupleExpr

          public TupleExpr getTupleExpr()

      Gets the tuple expression underlying this operation.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`